Package org.springframework.web.servlet.tags

# Class TransformTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
org.springframework.web.servlet.tags.RequestContextAwareTag
org.springframework.web.servlet.tags.HtmlEscapingAwareTag
org.springframework.web.servlet.tags.TransformTag

All Implemented Interfaces:
  `IterationTag`, `JspTag`, `Tag`, `TryCatchFinally`, `Serializable`

public class TransformTag extends HtmlEscapingAwareTag
The `<transform>` tag provides transformation for reference data values from controllers and other objects inside a `spring:bind` tag (or a data-bound form element tag from Spring's form tag library).

The BindTag has a PropertyEditor that it uses to transform properties of a bean to a String, usable in HTML forms. This tag uses that PropertyEditor to transform objects passed into this tag.

Attribute Summary
Attribute | Required? | Runtime Expression? | Description
--- | --- | --- | ---
htmlEscape | false | true | Set HTML escaping for this tag, as boolean value. Overrides the default HTML escaping setting for the current page.
scope | false | true | The scope to use when exported the result to a variable. This attribute is only used when var is also set. Possible values are page, request, session and application.
value | true | true | The value to transform. This is the actual object you want to have transformed (for instance a Date). Using the PropertyEditor that is currently in use by the 'spring:bind' tag.
var | false | true | The string to use when binding the result to the page, request, session or application scope. If not specified, the result gets outputted to the writer (i.e. typically directly to the JSP).

Since:
  20.09.2003
Author:
  Alef Arendsen, Juergen Hoeller
See Also:
  - `BindTag`
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`TransformTag()`

## Method Summary

Modifier and Type
Method
Description
`protected final int`
`doStartTagInternal()`
Called by doStartTag to perform the actual work.
`void`
`setScope(String scope)`
Set the scope to export the variable to.
`void`
`setValue(Object value)`
Set the value to transform, using the appropriate PropertyEditor from the enclosing BindTag.
`void`
`setVar(String var)`
Set PageContext attribute name under which to expose a variable that contains the result of the transformation.

### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

`htmlEscape, isDefaultHtmlEscape, isHtmlEscape, isResponseEncodedHtmlEscape, setHtmlEscape`

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doFinally, doStartTag, getRequestContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransformTag

public TransformTag()

## Method Details

### setValue

public void setValue(Object value)
Set the value to transform, using the appropriate PropertyEditor from the enclosing BindTag.

The value can either be a plain value to transform (a hard-coded String value in a JSP or a JSP expression), or a JSP EL expression to be evaluated (transforming the result of the expression).

### setVar

public void setVar(String var)
Set PageContext attribute name under which to expose a variable that contains the result of the transformation.

See Also:
  - `setScope(java.lang.String)`
  - `JspContext.setAttribute(java.lang.String, java.lang.Object)`

### setScope

public void setScope(String scope)
Set the scope to export the variable to. Default is SCOPE_PAGE ("page").

See Also:
  - `setVar(java.lang.String)`
  - `TagUtils.SCOPE_PAGE`
  - `JspContext.setAttribute(java.lang.String, java.lang.Object)`

### doStartTagInternal

protected final int doStartTagInternal() throws JspException
Description copied from class: `RequestContextAwareTag`
Called by doStartTag to perform the actual work.

Specified by:
  `doStartTagInternal` in class `RequestContextAwareTag`
Returns:
  same as TagSupport.doStartTag
Throws:
  `JspException`
See Also:
  - `TagSupport.doStartTag()`